using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;

namespace ExtendingTheGridView
{
    /// <summary>
    /// Copyright (c) 2008 Kerry D. Wong (http://www.kerrywong.com)
    /// Permission is hereby granted, free of charge, to any person
    /// obtaining a copy of this software and associated documentation
    /// files (the "Software"), to deal in the Software without
    /// restriction, including without limitation the rights to use,
    /// copy, modify, merge, publish, distribute, sublicense, and/or sell
    /// copies of the Software, and to permit persons to whom the
    /// Software is furnished to do so, subject to the following
    /// conditions:
    /// 
    /// The above copyright notice and this permission notice shall be
    /// included in all copies or substantial portions of the Software.
    ///
    /// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
    /// EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
    /// OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
    /// NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
    /// HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
    /// WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
    /// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
    /// OTHER DEALINGS IN THE SOFTWARE.
    /// </summary>
    public class SampleDataProvider
    {
        public List<ItemVal> GetSampleData()
        {
            List<ItemVal> l = new List<ItemVal>();

            l.Add(new ItemVal("Abby", "123 Main Street", "12000", "(120) 920-1123"));
            l.Add(new ItemVal("Adam", "39 Falls Rd", "21009", "(434) 220-4020"));
            l.Add(new ItemVal("Bob", "1029A Desert Ave", "99221", "(823) 592-2943"));
            l.Add(new ItemVal("Brian", "249 Center Street", "12400", "(887) 293-3098"));
            l.Add(new ItemVal("Carey", "119 LaCross Tpk", "33208", "(231) 334-9980"));
            l.Add(new ItemVal("Christin", "33 Main Street", "76554", "(900) 320-3312"));
            l.Add(new ItemVal("David", "7 Sunset Street", "40002", "(810) 341-5599"));
            l.Add(new ItemVal("Darcy", "120A Yello River", "30910", "(262) 239-3904"));
            l.Add(new ItemVal("Ellison", "8 Maple Ave", "54555", "(882) 293-2299"));
            l.Add(new ItemVal("Eric", "891 Liberty Lane", "35009", "(123) 456-7890"));
            l.Add(new ItemVal("Franc", "1100 Willow Street", "55665", "(301) 900-0080"));
            l.Add(new ItemVal("Fred", "99 Sunny Lane", "31221", "(102) 341-9003"));
            l.Add(new ItemVal("Greg", "1000 Old Farm Road", "45332", "(850) 548-0912"));
            l.Add(new ItemVal("Gusty", "892 Financial District", "38201", "(101) 520-0021"));
            l.Add(new ItemVal("Henry", "9932 Amstrong Ave.", "99120", "(553) 330-3302"));
            l.Add(new ItemVal("Hans", "3301 Starling Street", "22109", "(540) 320-1129"));
            l.Add(new ItemVal("Ian", "11A University Street", "44312", "(991) 391-2589"));
            l.Add(new ItemVal("Ilya", "1 Santa Ave", "99231", "(810) 431-4321"));
            l.Add(new ItemVal("John", "19 Willow Street", "32111", "(020) 444-1122"));
            l.Add(new ItemVal("Johnson", "9 Emmet Street", "11333", "(113) 910-2491"));
            l.Add(new ItemVal("Kamren", "15 Tiger Ct.", "11029", "(301) 332-1123"));
            l.Add(new ItemVal("Kate", "1123 Insurance Ave.", "44321", "(080) 110-1100"));
            l.Add(new ItemVal("Linda", "3301 Simson Blvd.", "00921", "(100) 331-0911"));
            l.Add(new ItemVal("Lisa", "100 Service Drive", "22112", "(981) 312-8799"));
            l.Add(new ItemVal("Mary", "1022 Main Street", "11233", "(910) 390-1929"));
            l.Add(new ItemVal("Mike", "119 Riverside", "33121", "(010) 223-3312"));
            l.Add(new ItemVal("Niki", "098B Water Street", "49000", "(182) 787-3211"));
            l.Add(new ItemVal("Nina", "890 Yellow Stone Drive", "12345", "(990) 289-8909"));
            l.Add(new ItemVal("Opera", "312 Honeycomb Ave.", "32111", "(213) 890-8901"));
            l.Add(new ItemVal("Olson", "9A Stanford Ave.", "12311", "(999) 233-9000"));
            l.Add(new ItemVal("Paul", "100 River View", "99201", "(100) 201-0021"));
            l.Add(new ItemVal("Peter", "231 Belt Line", "65003", "(339) 440-2901"));
            l.Add(new ItemVal("Quinn", "4 Maple Street", "89012", "(321) 221-0932"));
            l.Add(new ItemVal("Quenton", "192 Johnson Street", "32122", "(899) 999-9898"));
            l.Add(new ItemVal("Ray", "564 Berlin Ave", "22129", "(378) 092-0122"));
            l.Add(new ItemVal("Riley", "980 Jefferson Blvd", "92010", "(450) 332-0902"));
            l.Add(new ItemVal("Sam", "1000 Wisconsin Ave.", "20211", "(665) 574-3242"));
            l.Add(new ItemVal("Sean", "884 Alberta Street", "48790", "(659) 402-1029"));
            l.Add(new ItemVal("Tom", "1123 Arlington Street", "11234", "(832) 332-1144"));
            l.Add(new ItemVal("Tim", "88 Wilson Blvd", "19283", "(893) 752-2904"));
            l.Add(new ItemVal("Una", "123 Lincoln Street", "93212", "(430) 110-4865"));
            l.Add(new ItemVal("Ula", "9832 Hanna Blvd", "48654", "(403) 334-9064"));
            l.Add(new ItemVal("Victor", "120 Nasau Street", "44321", "(901) 432-4322"));
            l.Add(new ItemVal("Victoria", "102 Antonio Ave.", "93828", "(583) 281-2765"));
            l.Add(new ItemVal("Wyatt", "44 Park Blvd", "22311", "(121) 342-0981"));
            l.Add(new ItemVal("William", "1099 Plankton Ave", "30988", "(200) 123-0098"));
            l.Add(new ItemVal("Xavier", "9800 Cannon Road", "78943", "(432) 234-7894"));
            l.Add(new ItemVal("Xanti", "7 Moutain Road", "44990", "(821) 231-2010"));
            l.Add(new ItemVal("Yumiko", "29 Union Street", "39110", "(309) 009-3210"));
            l.Add(new ItemVal("Yesenia", "11 Rosa Road", "02955", "(211) 230-2955"));
            l.Add(new ItemVal("Zuri", "489 Paris Ave", "58321", "(432) 491-3391"));
            l.Add(new ItemVal("Zaira", "992", "Delta Drive", "(342) 102-2387"));

            return l;
        }
    }
}
